<?php

namespace SCF\Core;

use Smarty;
use AltoRouter;


class Templates extends Smarty
{

    /**
     * @var AltoRouter
     */
    private $_router;

    /**
     * @var System
     */
    private $_settings;

    /**
     * Templates constructor.
     * @param System $settings
     * @param AltoRouter $router
     */
    public function __construct(System $settings, AltoRouter $router)
    {
        parent::__construct();


        $this->_settings = $settings;
        $this->_router = $router;

        $this->setTemplateDir(ROOT . DS . APP . '/templates/sternenkindsaga/');
        $this->setCompileDir(ROOT . DS . APP . '/Caches/templates_c/');
        $this->setConfigDir(ROOT . DS . APP . '/Caches/configs/');
        $this->setCacheDir(ROOT . DS . APP . '/Caches/cache/');


        $this->assign('router', $this->_router);
        $this->assign('path', ROOT . DS . APP);
        $this->assign('settings', $this->_settings);


    }
}